Subject: Re: question concerning branches

From: Bruce Stephens <[email-masked]>
Date: Wed, 19 Aug 2009 19:07:07 +0100

[email-masked] (Ingo Brueckl) writes:

> I'm a git novice and have a comprehension question concerning branches.
>
> Within a git repository, I do:
>
>   git branch test
>   git checkout test
>   # edit foo.bar
>   git checkout master
>
> I'd expect that master is in the exactly same unchanged state it was at
> branching time, but what a surprise, foo.bar is modified here, too!

You didn't commit your change to foo.bar.

[...]

> What must I do to get a test branch I can't work without affecting master?

commit changes.